#!/usr/bin/csh -f

# Author : Sambuddha Bhattacharya
# MSCAD Lab. University of Washington

set DEMO = `pwd`
#echo $DEMO
cd
set HOME = `pwd`
#echo $HOME
cd $DEMO


# Setup for the env File
\rm -f $DEMO/env/.sysrc
echo "ColorFile         $DEMO/lib/Drgb.txt"  >> $DEMO/env/.sysrc
echo "MenuFile          $DEMO/lib/Dmenu.txt" >> $DEMO/env/.sysrc
echo "IconPath          $DEMO/icn/pattern3/" >> $DEMO/env/.sysrc
echo "TechFile          $DEMO/bin/Technology/MCNC.tch" >> $DEMO/env/.sysrc
echo "                   " >> $DEMO/env/.sysrc
echo "GlobalScale       1" >> $DEMO/env/.sysrc
echo "MinDefectSize     1" >> $DEMO/env/.sysrc
echo "MaxDefectSize     2" >> $DEMO/env/.sysrc 
echo "Step              1" >> $DEMO/env/.sysrc

#Setup Inside .iprail
\rm -f $DEMO/.iprail
echo "setenv SYSRC      $DEMO/env/.sysrc"  >> $DEMO/.iprail
echo "setenv memory     750070"  >> $DEMO/.iprail
echo "source /usr/nikola/etc/cshrc.nikola" >> $HOME/.iprail
echo "/usr/nikola/etc/cshrc.nikola.vlsi" >> $HOME/.iprail


#Setup for Cadence 
\rm -f $DEMO/cadence/cds.lib
echo "INCLUDE /usr/local/cadence/local/cdssetup/cds.lib" >> $DEMO/cadence/cds.lib
echo "DEFINE analogLib /usr/local/cadence/ic4.45/tools/dfII/etc/cdslib/artist/analogLib"  >> $DEMO/cadence/cds.lib
echo "DEFINE UWtsmc18 /usr/local/cadence/cds/local.18/lib/UWtsmc18"  >> $DEMO/cadence/cds.lib


#done with installation..
echo " "
echo " "
echo Installation Done!
echo Please make sure your cadence paths are correct by looking at $DEMO/cadence/cds.lib
echo " "
echo " "
echo Please source .iprail file in $DEMO
echo " "
echo " "
